Method: projects.locations.storagePools.backupConfigs.list

Lists backup configurations for all volumes in an ONTAP-mode Storage Pool.

HTTP request


GET https://netapp.googleapis.com/v1beta1/{parent=projects/*/locations/*/storagePools/*}/backupConfigs

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The ONTAP StoragePool for which to retrieve backup configuration information, in the format projects/{project}/locations/{location}/storagePools/{storagePool}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of items to return. The service may return fewer than this value. The maximum value is 1000; values above 1000 will be coerced to 1000. If unspecified or set to 0, a default of 50 will be used.

pageToken

string

Optional. The nextPageToken value to use if there are additional results to retrieve for this list request.

orderBy

string

Optional. Sort results. Supported values are "volumeId" or ""

filter

string

Optional. The standard list filter.

Request body

The request body must be empty.

Response body

Message for response to listing BackupConfigs in an ONTAP StoragePool.

If successful, the response body contains data with the following structure:

JSON representation
{
  "volumeBackupConfigs": [
    {
      object (VolumeBackupConfig)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
volumeBackupConfigs[]

object (VolumeBackupConfig)

A list of backup configurations for volumes in the pool.

nextPageToken

string

The token you can use to retrieve the next page of results. Not returned if there are no more results in the list.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • netapp.storagePools.listBackupConfigs

For more information, see the IAM documentation.

VolumeBackupConfig

Backup configuration for a volume in a pool.

JSON representation
{
  "volumeUuid": string,
  "backupConfig": {
    object (BackupConfig)
  }
}
Fields
volumeUuid

string

Provides the Ontap UUID of the volume within the pool.

backupConfig

object (BackupConfig)

Backup configuration for the volume.